### 逆正弦法則(最大値への到達時刻)
## シミュレーターの作成(T = 1)
hitmax <- function(n){ # nはブラウン運動のサンプル時点数
  B <- simulateBM(n) # ブラウン運動のシミュレーション
  return(Time[which.max(B)])
}
## モンテカルロ・シミュレーションの実行
set.seed(123) # 乱数シードの固定
MC <- 10000 # シミュレーション回数
n <- 1000 # サンプル時点数
theta <- replicate(MC, hitmax(n)) # シミュレーション
## ヒストグラムの描画
hist(theta, freq = FALSE, breaks = 25, col = "gray",
     border = "gray", xlab = expression(theta[1]),
     main = expression(paste("Histogram of ", theta[1])))
# 理論上の確率密度関数
# (いまの場合パラメーター(0.5, 0.5)のベータ分布の確率密度関数)
f <- function(x) dbeta(x, 0.5, 0.5) 
curve(f, add = TRUE, col="red", lwd = 2) # ヒストグラムに上書き
