### 後向き伊藤積分
## ブラウン運動のシミュレーション
set.seed(111) # 乱数シードの固定
n <- 10000 # サンプル時点数
B <- simulateBM(n) # サンプルパスのシミュレーション
#yuimaB <- setData(zoo(B, seq(0,1,by=1/n))) # yuimaオブジェクトに変換しておく
## サブサンプルしたデータのリーマン和を計算してプロット
ns <- 10^(1:4) # サブサンプリングする時点数(10,100,1000,10000)
result <- matrix(0, length(ns), 2) # 結果を保持するための行列
for(i in 1:length(ns)){
  subB <- B[seq(1, n+1, length = ns[i]+1)] # サブサンプリング
  result[i, 1] <- sum(subB[1:ns[i]] * diff(subB)) + 1 # 確率積分のリーマン和 + 1
  result[i, 2] <- sum(subB[-1] * diff(subB)) # 後向き伊藤積分のリーマン和
}
matplot(ns, result, type = "b", pch = 19, 
        col = c("black", "red"), lty = c(1, 2),
        xlab = "Number of subsamples",
        ylab = "Riemann sum") # プロット
legend(4000, 0.7, col = c("black", "red"), lty = c(1, 2),
       legend = c("Backward Ito integral",
                  "Ito integral + 1"))