### ベッセル過程のシミュレーション
## 確率微分方程式モデルの定義
mod <- setModel(drift = "(delta-1)/(2*x)", # ドリフト係数
                diffusion = "1" # 拡散係数
)
## サンプル時点の定義
n <- 1000
samp <- setSampling(n = n)
## 統計モデルの定義
bessel <- setYuima(model = mod, sampling = samp)
## シミュレーションとサンプルパスの描画
set.seed(1)
x0 <- 1 # 初期値
param <- list(delta = 3) # パラメーターの値
# シミュレーションの実行
result <- simulate(bessel, # 統計モデル
                   xinit = x0, # 初期値
                   true.parameter = param # パラメーターの値
)
plot(result, col = "royalblue", lwd = 2)
grid(col = "darkgray") # グリッドの追加