### 3次元ベッセル過程の周辺分布
## パラメーターの設定
x0 <- 1 # 初期値
delta <- 3 # 次元
param <- list(delta = delta)
## モンテカルロ・シミュレーションの実行
set.seed(1) # 乱数シードの固定
MC <- 2000 # シミュレーション回数
result <- replicate(MC, simulateXT(bessel, x0, param)) # シミュレーション
## ヒストグラムの描画
hist(result, freq = FALSE, breaks = 20,
     xlab = "X(1)", main = "Histogram of X(1)",
     col = "darkgray", border = "cyan")
## 理論分布の上書き
f <- function(y)
  y*sqrt(y/x0)*exp(-(x0^2+y^2)/2)*sqrt(2/(pi*x0*y))*sinh(x0*y)
curve(f, from = 0, add = TRUE, col="red", lwd = 2)
