### CIRモデルの周辺分布
## パラメーターの設定
x0 <- 0.1 # 初期値
theta <- 3 # 平均回帰スピード
mu <- 0.09 # 平均回帰レベル
sigma <- 0.3 # ボラティリティ
param <- list(theta = theta, mu = mu, sigma = sigma)
## モンテカルロ・シミュレーションの実行
set.seed(123) # 乱数シードの固定
MC <- 1000 # シミュレーション回数
result <- replicate(MC, simulateXT(cir, x0, param)) # シミュレーション
## ヒストグラムの描画
ct <- 2 * theta/((1 - exp(-theta)) * sigma^2)
hist(2 * ct * result, freq = FALSE, breaks = 20,
     xlab = "X(1)", main = "Histogram of X(1)",
     col = "darkgray", border = "cyan")
## 理論分布の上書き
df <- 4 * theta * mu/sigma^2 # 自由度
ncp <- 2 * ct * x0 * exp(-theta) # 非心パラメーター
curve(dchisq(x, df = df, ncp = ncp), add = TRUE, col="red", lwd = 2)
