### 伊藤の公式のシミュレーション(1)
Time.ito <- seq(0, 1, by = 0.01) # 伊藤の公式の評価時点
n <- 10000 # サンプル時点数
# (伊藤の公式の評価時点より細かく取っておく)
set.seed(111) # 乱数シードの固定
B <- simulateBM(n) # ブラウン運動のシミュレーション
M <- diffinv(B[1:n] * diff(B)) # 確率積分の計算
ito <- 2 * M + seq(0, 1, by = 1/n) # 伊藤の公式の計算
B <- B[seq(1, n + 1, by = 100)] # 評価時点のみ残す
ito <- ito[seq(1, n + 1, by = 100)] # 評価時点のみ残す
## 時系列プロットによる確認
plot(Time.ito, B^2, type = "l", lwd = 2, xlab = "t",
     ylab = expression(B(t)^2)) # B(t)^2のプロット
points(Time.ito, ito, pch = 8, col = "red") # 伊藤の公式による値を上書き
