### ブラウン運動の最大値の確率分布(T = 1)
## シミュレーターの作成
maxBM <- function(n){ # nはブラウン運動のサンプル時点数
  B <- simulateBM(n) # ブラウン運動のシミュレーション
  return(max(B))
}
## モンテカルロ・シミュレーションの実行
set.seed(123) # 乱数シードの固定
MC <- 10000 # シミュレーション回数
n <- 10000 # サンプル時点数
M <- replicate(MC, maxBM(n)) # シミュレーション
## ヒストグラムの描画
hist(M, freq = FALSE, breaks = 25, col = "gray",
     border = "gray", main = "Histogram of M(1)", xlab = "M(1)")
f <- function(x) sqrt(2/pi) * exp(-x^2/2) # 理論上の確率密度関数
curve(f, add = TRUE, col="red", lwd = 2) # ヒストグラムに上書き
