### 逆正弦法則(正の領域での滞在時間)
## シミュレーターの作成(T = 1)
positive.time <- function(Time){ # nはブラウン運動のサンプル時点
  B <- simulateBM(n) # ブラウン運動のシミュレーション
  return(sum((B[-1] > 0) * 1/n)) # B(t) > 0であるような区間幅を合計
}
## モンテカルロ・シミュレーションの実行
set.seed(123) # 乱数シードの固定
MC <- 10000 # シミュレーション回数
n <- 1000 # サンプル時点数
Phi <- replicate(MC, positive.time(n)) # シミュレーション
## ヒストグラムの描画
hist(Phi, freq = FALSE, breaks = 25, col = "gray",
     border = "gray", xlab = expression(Phi[1]),
     main = expression(paste("Histogram of ", Phi[1])))
# 理論上の確率密度関数
# (いまの場合パラメーター(0.5, 0.5)のベータ分布の確率密度関数)
f <- function(x) dbeta(x, 0.5, 0.5) 
curve(f, add = TRUE, col="red", lwd = 2) # ヒストグラムに上書き
