### 上の例の確率過程のシミュレーション
## シミュレーターの作成
simulateXt <- function(n){ # nは区間を分割する個数
  epsilon <- rnorm(1) # 標準正規乱数から生成
  Time <- seq(0, pi, by = pi/n) # サンプル時点
  Xt <- sin(epsilon * Time) # XtのサンプルパスをTimeの各点で評価
  return(Xt)
}
## モンテカルロ・シミュレーションの実行
set.seed(123) # 乱数シードの固定
MC <- 100 # シミュレーション回数
n <- 100 # 区間の分割数
result <- replicate(MC, simulateXt(n)) # シミュレーション
Time <- seq(0, pi, by = pi/n) # サンプル時点
matplot(Time, result, type = "l", lty = 1, col = "gray",
        xlab = "t", ylab = "X(t)") # シミュレーションしたサンプルパスの描画
