### 二次変動の収束(T = 1)
Time.qv <- seq(0, 1, by = 0.1) # 二次変動の評価時点
n <- 10000 # ブラウン運動のサンプル時点数
# (二次変動の評価時点より細かく取っておく)
set.seed(123) # 乱数シードの固定
B <- simulateBM(n) # Brown運動のシミュレーション
qv <- diffinv(diff(B)^2) # 二次変動の計算
qv <- qv[seq(1, length(qv), by = 1000)] # 評価時点のみ残す
plot(qv ~ Time.qv, pch = 19, xlab = "Theoretical QV", 
     ylab = "Empirical QV")　# 理論値 vs 観測値の散布図
abline(0, 1, lty = "dotted", col = "red", lwd = 2) # 45度線
