### t分布を不変分布にもつ拡散過程のエルゴード性
## 確率微分方程式モデルの定義
mod <- setModel(drift = "-theta*x", # ドリフト係数
                diffusion = "sqrt(2*theta*(nu+x^2)/(nu-1))" # 拡散係数
)
## サンプル時点の定義
n <- 1000
samp <- setSampling(Terminal = 5, n = n)
## 統計モデルの定義
smod <- setYuima(model = mod, sampling = samp)
## シミュレーション
set.seed(123)
MC <- 5000
result <- replicate(MC, simulateXT(smod, x0 = 0, 
                                   param = list(theta = 10, nu = 8)))
hist(result, freq = FALSE, breaks = 50,
     xlab = "X(5)", main = "Histogram of X(5)",
     col = "darkgray", border = "cyan")
curve(dt(x,df=8), add = TRUE, col="red", lwd = 2)
